.content-section-wrapper {
  border-top: 2px solid var(--color-primary);
  border-bottom: 2px solid var(--color-primary);
}

.content-section-title {
  width: 100%;
  font-size: 4em;
  text-align: center;
  font-weight: bold;
  margin-bottom: 20px;
  margin-top: 30px;
  display: inline-block;
  background: radial-gradient(var(--color-primary), var(--color-secondary));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: 2px 2px 1px rgba(0, 0, 0, 0.3);
}

.content-section {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin: auto;
  padding: 40px 5%;
  gap: 40px;
  opacity: 0.9;
  flex-wrap: wrap;
  background: radial-gradient(circle, var(--color-quaternary), var(--color-secondary), var(--color-tertiary));
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
}

.content-section div {
  min-width: 300px;
}

.content-section .text {
  width: 40%;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  background: black;
  color: white;
  opacity: 0.8;
}

.content-section .text div p {
  margin-bottom: 15px;
}

.content-section .text h2 {
  padding: 20px;
}

.content-section .text div {
  line-height: 2;
  padding: 20px;
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 1em;
  margin: auto;
}

.content-section .text div ul {
  width: 100%;
  list-style-type: none;
  white-space: wrap;
}

.content-section .text .author {
  display: block;
  font-size: 14px;
  color: gray;
  text-align: left;
  font-weight: bold;
  
  padding: 20px;
}

.content-section .image img {
  width: 100%;
  height: auto;
  max-height: 300px;
  border-radius: 10px;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

.reverse {
  flex-direction: row-reverse;
}

@media (max-width: 480px) {
  .content-section {
    gap: 10px;
  }
  .content-section .text {
    width: 90%;
    font-size: 0.7em;
  }
  .content-section div {
    width: 90%;
  }
  .content-section .image img {
    width: 50%;
  }
}

@media (max-width: 768px) {
  .content-section {
    gap: 10px;
  }
  .content-section .text {
    width: 90%;
    font-size: 0.8em;
  }
  .content-section div {
    width: 90%;
  }
  .content-section .image img {
    width: 50%;
  }
}

@media (max-width: 1024px) {
  .content-section {
    gap: 10px;
  }
  .content-section .text {
    width: 90%;
    font-size: 0.9em;
  }
  .content-section div {
    width: 90%;
  }
  .content-section .image img {
    width: 50%;
  }
}